Subject: [os2genau_digest] No. 800
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 10 Feb 2004 00:01:01 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 09 February 2004
 Number  800
**************************************************

Subjects for today
 
1  Re:  WPS & MS Code : John Angelico" <talldad at kepl dot com dot au>
2  Re:  WPS & MS Code : Ian Manners" <deadmail>

**= Email   1 ==========================**

Date:  Mon, 09 Feb 2004 12:17:15 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  WPS & MS Code

On Sun, 08 Feb 2004 12:36:32 +1100 (EDT), Ian Manners wrote:

PMFJI on a technical topic <g>

>Hi Chris
>

Chris quoted this - who actually said it?
 
>> >It is a shame that the WPS still contains MS code, as it would be ideal to
>> >move the WPS onto the Linux Kernel but thats just a fading dream.
>> 
>> Huh? Not likely.
>> 
>> IBM's WPS is a SOM based solution which was IBM's own...
>
>Thats what I thought to but others keep telling me parts of it are
>still copyright MS, so it will never be ported, or the code will never
>be released so it can be used elsewere. As to the 'others', I'd
>have to dig back through my emails archives.

To narrow down the search, let's see...
Franz Walkow (OS/2 Evangelist, leader of the Device Driver project, and
developer of the DD-Pak Online) toId us at one of the Melb OS/2 SIGs that IBM
did all the 32-bit stuff after the divorce, and released most in the "Warp"
versions, so it should only be 16-bit legacy stuff involved.
We know about simple HPFS and HPFS386 being MS, plus a lot of
NETBEUI/NETBIOS/peer networking
Obviously, DOS level stuff, command interpreter etc would be heavily MS-ified
(the only hope here is to switch to Jonathan de Boyne Pollard's 32-bit CMD
and CLU suite)
Does anyone else recall obvious parts tainted by MS?
If we take a little time to fire up a few splash screens of various
components to find (c) Others... we might be able to identify the copyright
problem more accurately.

But I agree with Ian, the WPS has got to be IBM's own
a) IIRC it was developed at IBM during the divorce proceedings so could have
been cross-licensed 
but
b) it was never used by MS: they call lots of things objects but they have
never done anything like the WPS in Windows (eg. look at those silly things
called Links) so I doubt if they had any of their own code, nor any useful
licensing like the SOM/DSOM core
 
Hope I haven't muddied the waters, guys...

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Yes Mr Gates, I'd like to help you out ... which way did you come in?
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 09 Feb 2004 13:39:51 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  WPS & MS Code

Hi John

> Chris quoted this - who actually said it?

Um, I did :)
  
> >> >It is a shame that the WPS still contains MS code, as it would be ideal to
> >> >move the WPS onto the Linux Kernel but thats just a fading dream.

Chris said this :-

> >> Huh? Not likely.
> >> 
> >> IBM's WPS is a SOM based solution which was IBM's own...

I said this :-

> >Thats what I thought to but others keep telling me parts of it are
> >still copyright MS, so it will never be ported, or the code will never
> >be released so it can be used elsewere. As to the 'others', I'd
> >have to dig back through my emails archives.

John said this :-

> To narrow down the search, let's see...
> Franz Walkow (OS/2 Evangelist, leader of the Device Driver project, and
> developer of the DD-Pak Online) toId us at one of the Melb OS/2 SIGs that IBM
> did all the 32-bit stuff after the divorce, and released most in the "Warp"
> versions, so it should only be 16-bit legacy stuff involved.
> We know about simple HPFS and HPFS386 being MS, plus a lot of
> NETBEUI/NETBIOS/peer networking
> Obviously, DOS level stuff, command interpreter etc would be heavily MS-ified
> (the only hope here is to switch to Jonathan de Boyne Pollard's 32-bit CMD
> and CLU suite)
> Does anyone else recall obvious parts tainted by MS?
> If we take a little time to fire up a few splash screens of various
> components to find (c) Others... we might be able to identify the copyright
> problem more accurately.
 
> But I agree with Ian, the WPS has got to be IBM's own

Correction, you agree with Chris, I too agree with Chris, and yourself john but
I'm also confused as someone whom I vaugly though was reliable (as I also
stated, I would have to go back through my archives) that IBM couldnt release
the WPS code as it had something to do with MS, maybe the WPS has parts
of the PMShell in if from pre divorce ? Its to far back without myself refering to
my archives.

> a) IIRC it was developed at IBM during the divorce proceedings so could have
> been cross-licensed 
> but

Maybe it is simply a licensing issue...
I do remember that work 'copyright' though.

> b) it was never used by MS: they call lots of things objects but they have
> never done anything like the WPS in Windows (eg. look at those silly things
> called Links) so I doubt if they had any of their own code, nor any useful
> licensing like the SOM/DSOM core

Is the WPS infact 100% SOM/DSOM ?
Is it possible that MS was involved in something to do with the concept of
it, and maybe IBM in its wisdom has decided its not worth the trouble, ie,
the WPS needs to be 100% MS free in every manner before they would
consider releasing it.

Then again, as Kris also stated re a clone of the WPS, a cleanroom setup
would solve that problem but SOM/DSOM is as good as dead so it would
need to be done with something else, this would be very timeconsuming, if
not expensive.
  
> Hope I haven't muddied the waters, guys...

I think I've done that enough :-)
Now I need to go back to work :-( 
 
PS, missed the OS2Gen meeting, you can probably guess why......

Cheers
Ian Manners
http://www.os2site dot com/

Outside a secondhand shop: WE EXCHANGE ANYTHING - BICYCLES, WASHING MACHINES ETC. WHY NOT BRING YOUR WIFE ALONG AND GET A WONDERFUL BARGAIN?
----------------------------------------------------------------------------------